StartupEvents.registry('fluid', event => {                 

  event.create('weapon_oil_base')
    .thinTexture("#DCBF64")
    .displayName('Weapon Oil Base')
    .noBucket();

  event.create('hallowed_oil')
    .thinTexture("#F8E000")
    .displayName('Hallowed Oil')
    .noBucket();

  event.create('arthro_oil')
    .thinTexture("#7C3E00")
    .displayName('Arthropod Oil')
    .noBucket();

  event.create('cryotic_oil')
    .thinTexture("#7C9CF8")
    .displayName('Cryotic Oil')
    .noBucket();

  event.create('necrotic_oil')
    .thinTexture("#1F7C3E")
    .displayName('Necrotic Oil')
    .noBucket();

  event.create('creeper_oil')
    .thinTexture("#7C3E7C")
    .displayName('Creeper Oil')
    .noBucket();

  event.create('aquatic_oil')
    .thinTexture("#3E7CBB")
    .displayName('Aquatic Oil')
    .noBucket();

  event.create('ender_oil')
    .thinTexture("#196464")
    .displayName('Ender Oil')
    .noBucket();

  event.create('wither_oil')
    .thinTexture("#291515")
    .displayName('Wither Oil')
    .noBucket();
  
  event.create('harming_oil')
    .thinTexture("#A46267")
    .displayName('Harming Oil')
    .noBucket();

  event.create('poison_oil')
    .thinTexture("#839F60")
    .displayName('Poison Oil')
    .noBucket();

  event.create('slowness_oil')
    .thinTexture("#87AADA")
    .displayName('Slowness Oil')
    .noBucket();

  event.create('weakness_oil')
    .thinTexture("#464B46")
    .displayName('Weakness Oil')
    .noBucket();

  event.create('bloodlust_oil')
    .thinTexture("#440000")
    .displayName('Bloodlust Oil')
    .noBucket();

  event.create('poison_antidote')
    .thinTexture("#677C4C")
    .displayName('Poison Antidote')
    .noBucket();

  event.create('decay_antidote')
    .thinTexture("#3A312B")
    .displayName('Decay Antidote')
    .noBucket();
});